Skip to main content
`Ctrl`+`K`

# PetscViewerSetFromOptions

Sets various options for a viewer based on values in the options database.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerSetFromOptions(PetscViewer viewer)

Collective

## Input Parameter

- viewer - the viewer context

## Note

Must be called after `PetscViewerCreate()` but before the `PetscViewer` is used.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerSetType()`, `PetscViewerType`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/viewreg.c

## Examples

src/dm/tutorials/ex10.c
src/tao/term/tutorials/ex1.c
src/mat/tutorials/ex10.c
src/dm/tutorials/ex9.c

## Implementations

PetscViewerSetFromOptions_ExodusII() in src/dm/impls/plex/exodusii/plexexodusii2.c
PetscViewerSetFromOptions_ADIOS() in src/sys/classes/viewer/impls/adios/adios.c
PetscViewerSetFromOptions_Binary() in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerSetFromOptions_CGNS() in src/sys/classes/viewer/impls/cgns/cgnsv.c
PetscViewerSetFromOptions_Draw() in src/sys/classes/viewer/impls/draw/drawv.c
PetscViewerSetFromOptions_GLVis() in src/sys/classes/viewer/impls/glvis/glvis.c
PetscViewerSetFromOptions_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c
PetscViewerSetFromOptions_Socket() in src/sys/classes/viewer/impls/socket/send.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages